@import "../base/mixins";

@keyframes loaderSpin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.page-login {
  .login-header {
    padding-top: 6rem;
    text-align: center;
  }

  .login-body {
    padding-bottom: 6rem;
  }
}

// NOVO LOGIN
.cmp-buyer-login-title {
  font-weight: 600 !important;
  font-size: var(--font-size-base) !important;
  color: var(--font-color-base) !important;
}

input.cmp-buyer-login-input {
  @extend %input;
  height: 5rem;
  padding-top: 2.4rem;
}

.cmp-buyer-login-label {
  color: var(--gray-3) !important;
  left: 1.6rem !important;
}

button.cmp-buyer-login-button {
  @extend %button-default;
  text-transform: none;
  width: 100%;
}

.cmp-buyer-login-feedback-message {
  font-weight: var(--font-weight-base) !important;
  font-size: var(--font-size-small) !important;
  color: var(--gray-3) !important;
}

a.cmp-buyer-login-login-with-password-button,
a.cmp-buyer-login-change-email {
  font-size: var(--font-size-small) !important;
  color: var(--primary-color);
  transition: var(--transition);
  margin: 1.6rem 0;

  &:hover {
    color: var(--secondary-color) !important;
  }
}

a.cmp-buyer-login-recover-password,
.cmp-buyer-login-login-with-code-button {
  font-weight: var(--font-weight-base) !important;
  font-size: var(--font-size-small) !important;
  color: var(--primary-color) !important;
  transition: var(--transition);

  &:hover {
    color: var(--secondary-color) !important;
  }
}
